| Verb | URI | Description | ||||
| GET | /loadbalancers/loadBalancerId/metadata
|
List all metadata associated with the specified load balancer. | ||||
| GET | /loadbalancers/loadBalancerId/metadata/metaId
|
List details of a specific metadata item for the specified load balancer. | ||||
| GET | /loadbalancers/loadBalancerId/nodes/nodeId/metadata
|
List all metadata associated with the specified node and load balancer. | ||||
| GET | /loadbalancers/loadBalancerId/nodes/nodeId/metadata/metaId
|
List details for a specific metadata item for the specified node and load balancer. | ||||
Normal Response Code(s): 200
Error Response Code(s): loadbalancerFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), overLimit (413)
This operation does not require a request body.
Example 4.102. List Specific Metadata Response: JSON
{"meta": {
"id":4,
"key":"color",
"value":"red"
}
}
Example 4.103. List All Metadata Response: XML
<metadata xmlns="http://docs.openstack.org/loadbalancers/api/v1.0">
<meta id="1" key="color">red</meta>
<meta id="2" key="label">web-load-balancer</meta>
</metadata>
Example 4.104. List All Metadata Response: JSON
{
"metadata": [
{
"id":"1",
"key":"color",
"value":"red"
},
{
"id":"2",
"key":"label",
"value":"web-load-balancer"
}
]
}

